@mixin make-gap($s) {
    #{$s}gap-px{
        gap: 1px;
    }
    
    #{$s}gap-y-px{
        row-gap: 1px;
    }

    #{$s}gap-x-px{
        column-gap: 1px;
    }

    #{$s}gap-05{
        gap: 0.125rem;
    }

    #{$s}gap-y-05{
        row-gap: 0.125rem;
    }

    #{$s}gap-x-05{
        column-gap: 0.125rem;
    }

    @for $i from 0 to 26 {
        #{$s}gap-#{$i}{
            gap: #{ 0.25 * $i}rem;
        }

        #{$s}gap-y-#{$i}{
            row-gap: #{ 0.25 * $i}rem;
        }

        #{$s}gap-x-#{$i}{
            column-gap: #{ 0.25 * $i}rem;
        }
    }
}